Subject: Re: [PATCH v4]PPC4xx: Adding PCI(E) MSI support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 29 Jun 2011 09:15:28 +1000

On Tue, 2011-06-28 at 17:31 -0500, Ayman El-Khashab wrote:
> > > +static int ppc4xx_setup_pcieh_hw(struct platform_device *dev,
> > > +                            struct resource res, struct
> ppc4xx_msi *msi)
> > > +{
> > > +
> 
> <snip>
> 
> > > +
> > > +   msi->msi_dev = of_find_node_by_name(NULL, "ppc4xx-msi");
> > > +   if (msi->msi_dev)
> > > +           return -ENODEV;
> 
> This does not look correct. I guess it should probably read 
> 
> if (!msi->msi_dev) .....

Indeed, that looks bogus. Rupjyoti, please test and send fixes if
necessary, obviously this code has not been tested.

This is not part of the bits I fixed up so I looks to me like the
original patch was wrong (and thus obviously untested !!!)

Cheers,
Ben.